JBoss API: Class StatefulSessionFilePersistenceManager

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class StatefulSessionFilePersistenceManager

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.StatefulSessionFilePersistenceManager

All Implemented Interfaces:
  ContainerPlugin, Service, StatefulSessionPersistenceManager

public class StatefulSessionFilePersistenceManager
extends java.lang.Object
implements StatefulSessionPersistenceManager

StatefulSessionFilePersistenceManager This class is one of the passivating plugins for JBoss. It is fairly simple and can work from the file system from wich JBoss is operating

Version:
  $Revision: 1.18.4.1 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Marc Fleury, Sebastien Alborini
See Also:

Constructor Summary
`StatefulSessionFilePersistenceManager()`

Method Summary
`void` | `activateSession(StatefulSessionEnterpriseContext ctx)`
`void` | `createSession(java.lang.reflect.Method m, java.lang.Object[] args, StatefulSessionEnterpriseContext ctx)`
`void` | `destroy()`
`protected java.io.File` | `getFile(java.lang.Object key)`
`void` | `init()`
`protected java.lang.Long` | `nextId()`
`void` | `passivateSession(StatefulSessionEnterpriseContext ctx)`
`void` | `removePassivated(java.lang.Object key)`
`void` | `removeSession(StatefulSessionEnterpriseContext ctx)`
`void` | `setContainer(Container c)` This callback is set by the container so that the plugin may access it
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatefulSessionFilePersistenceManager

    public StatefulSessionFilePersistenceManager()

Method Detail

### setContainer

    public void setContainer(Container c)

  Description copied from interface: `ContainerPlugin`
  This callback is set by the container so that the plugin may access it
  Specified by:
    `setContainer` in interface `ContainerPlugin`
  Following copied from interface: `org.jboss.ejb.ContainerPlugin`
  Parameters:
    `con` - the container using this plugin

### init

    public void init()
              throws java.lang.Exception

  Specified by:
    `init` in interface `Service`

### start

    public void start()
               throws java.lang.Exception

  Specified by:
    `start` in interface `Service`

### stop

    public void stop()

  Specified by:
    `stop` in interface `Service`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Service`

### createSession

    public void createSession(java.lang.reflect.Method m,
                              java.lang.Object[] args,
                              StatefulSessionEnterpriseContext ctx)
                       throws java.lang.Exception

  Specified by:
    `createSession` in interface `StatefulSessionPersistenceManager`

### activateSession

    public void activateSession(StatefulSessionEnterpriseContext ctx)
                         throws java.rmi.RemoteException

  Specified by:
    `activateSession` in interface `StatefulSessionPersistenceManager`

### passivateSession

    public void passivateSession(StatefulSessionEnterpriseContext ctx)
                          throws java.rmi.RemoteException

  Specified by:
    `passivateSession` in interface `StatefulSessionPersistenceManager`

### removeSession

    public void removeSession(StatefulSessionEnterpriseContext ctx)
                       throws java.rmi.RemoteException,
                              javax.ejb.RemoveException

  Specified by:
    `removeSession` in interface `StatefulSessionPersistenceManager`

### removePassivated

    public void removePassivated(java.lang.Object key)

  Specified by:
    `removePassivated` in interface `StatefulSessionPersistenceManager`

### nextId

    protected java.lang.Long nextId()

### getFile

    protected java.io.File getFile(java.lang.Object key)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.